# studio::Widget_Filename Class Reference

`#include <widget_filename.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_value_changed ()
Glib::SignalProxy0< void > | signal_activate ()
void | on_value_changed ()
void | set_value (const std::string &data)
std::string | get_value () const
void | set_has_frame (bool x)
| Widget_Filename ()
| ~Widget_Filename ()

## Constructor & Destructor Documentation

Widget_Filename::Widget_Filename | ( |  | ) |

References _, and on_value_changed().

Widget_Filename::~Widget_Filename | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::Widget_Filename::signal_value_changed | ( |  | ) | `[inline]`

Referenced by on_value_changed().

Glib::SignalProxy0<void> studio::Widget_Filename::signal_activate | ( |  | ) | `[inline]`

Referenced by studio::Widget_ValueBase::Widget_ValueBase().

void Widget_Filename::on_value_changed | ( |  | ) |

References signal_value_changed().

Referenced by Widget_Filename().

void Widget_Filename::set_value | ( | const std::string & | data | ) |

Referenced by studio::Dialog_SoundSelect::set_file(), and studio::Widget_ValueBase::set_value().

string Widget_Filename::get_value | ( |  | ) | const

Referenced by studio::Dialog_SoundSelect::get_file(), and studio::Widget_ValueBase::get_value().

void Widget_Filename::set_has_frame | ( | bool | x | ) |

Referenced by studio::Widget_ValueBase::inside_cellrenderer().

The documentation for this class was generated from the following files:

- widget_filename.h
- widget_filename.cpp